/*
 * Database scheme for sqlite benchmark
 * special version for mysql, because mysql requires special options
 * ("InnoDB") to enable transactions etc.
 */

create table hersteller (
  hnr   varchar(10),
  name  varchar(30),
  primary key (hnr)
) TYPE=InnoDB;
create table produkt (
  pnr   varchar(10),
  name  varchar(30),
  hnr   varchar(10),
  preis numeric(8,2),
  primary key(pnr)
) TYPE=InnoDB;
create table lieferung (
  lnr   varchar(10),
  pnr   varchar(10),
  datum varchar(8),  /* YYYYMMDD (sqlite does not support date type) */
  menge numeric(8,2),
  primary key (lnr)
) TYPE=InnoDB;


