/*
 * Database scheme for sqlite benchmark
 */

create table hersteller (
  hnr   varchar(10),
  name  varchar(30),
  primary key (hnr)
);
create table produkt (
  pnr   varchar(10),
  name  varchar(30),
  hnr   varchar(10),
  preis numeric(8,2),
  primary key(pnr)
);
create table lieferung (
  lnr   varchar(10),
  pnr   varchar(10),
  datum varchar(8),  /* YYYYMMDD (sqlite does not support date type) */
  menge numeric(8,2),
  primary key (lnr)
);

